Skip to main content
PATCH
/
api
/
v1
/
books
/
{bookId}
/
metadata
Update book metadata
curl --request PATCH \
  --url https://demo.komga.org/api/v1/books/{bookId}/metadata \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authors": [
    {
      "name": "<string>",
      "role": "<string>"
    }
  ],
  "authorsLock": true,
  "isbn": "<string>",
  "isbnLock": true,
  "links": [
    {
      "label": "<string>",
      "url": "<string>"
    }
  ],
  "linksLock": true,
  "number": "<string>",
  "numberLock": true,
  "numberSort": 123,
  "numberSortLock": true,
  "releaseDate": "2023-12-25",
  "releaseDateLock": true,
  "summary": "<string>",
  "summaryLock": true,
  "tags": [
    "<string>"
  ],
  "tagsLock": true,
  "title": "<string>",
  "titleLock": true
}
'
{
  "violations": [
    {
      "fieldName": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

bookId
string
required

Body

application/json

Metadata fields to update. Set a field to null to unset the metadata. You can omit fields you don't want to update.

authors
object[]
authorsLock
boolean
isbn
string
isbnLock
boolean
number
string
numberLock
boolean
numberSort
number<float>
numberSortLock
boolean
releaseDate
string<date>
releaseDateLock
boolean
summary
string
summaryLock
boolean
tags
string[]
tagsLock
boolean
title
string
titleLock
boolean

Response

No Content